« Ubuntu7.04で3rdRailが動いた | トップページ | 3rdRailがWindowsでやっと起動した »

2007年9月25日 (火)

3rdRail + Ubuntu Model作成時にエラー

とりあえずは動いて気分がよくなった3rdRail。仕事の合間にちょっとづつ機能を試していってます。

Railsプロジェクトが作成できたので、さてモデルでも作ろうとRailsエクスプローラのModelを右クリック。3rdRailのビデオチュートリアルを参考にしながらモデルを作成してFinish。

すると、

---
>script/generate model --force blog title:string body:text created_at:datetime updated_at:datetime
/usr/local/lib/ruby/1.8/i686-linux/digest/md5.so: libcrypto.so.4: cannot open shared object file: No such file or directory - /usr/local/lib/ruby/1.8/i686-linux/digest/md5.so (LoadError)
    from /usr/local/lib/ruby/site_ruby/1.8/rubygems/custom_require.rb:27:in `require'
    from /usr/local/lib/ruby/gems/1.8/gems/activesupport-1.4.2/lib/active_support/dependencies.rb:495:in `require'
    from /usr/local/lib/ruby/gems/1.8/gems/activesupport-1.4.2/lib/active_support/dependencies.rb:342:in `new_constants_in'
    from /usr/local/lib/ruby/gems/1.8/gems/activesupport-1.4.2/lib/active_support/dependencies.rb:495:in `require'
    from /usr/local/lib/ruby/1.8/pstore.rb:11
    from /usr/local/lib/ruby/site_ruby/1.8/rubygems/custom_require.rb:27:in `gem_original_require'
    from /usr/local/lib/ruby/site_ruby/1.8/rubygems/custom_require.rb:27:in `require'
    from /usr/local/lib/ruby/gems/1.8/gems/activesupport-1.4.2/lib/active_support/dependencies.rb:495:in `require'
     ... 38 levels...
    from /usr/local/lib/ruby/gems/1.8/gems/rails-1.2.3/lib/commands/generate.rb:1
    from /usr/local/lib/ruby/site_ruby/1.8/rubygems/custom_require.rb:32:in `gem_original_require'
    from /usr/local/lib/ruby/site_ruby/1.8/rubygems/custom_require.rb:32:in `require'
    from /home/btf/3rdRail/workspace/myBlog/script/generate:3
---

なんだかエラーが出ました。
まあ要は libcrypto.so.4(赤字)がないよと言っています。
こういうのはだいたい近いライブラリでダマしたりしたらとりあえず動くもんだなとfindしたところ、libcrypto.so.0.9.8 というのが見つかりました。

深く詮索するよりとりあえず先が見たいのでシンボリックリンクを作ります。

===
# ln -sf /usr/lib/libcrypto.so.0.9.8 /usr/lib/libcrypto.so.4
===

再度モデルを作成。
。。。うまく行きました。

3rdRail Linux版はRedHat系に寄ってる感があるのでDebianベースのUbuntuではこういう細かいのがちょこちょこ発生すると思います。

まあ、様子を見ながらつぶしていきますかね。

|

« Ubuntu7.04で3rdRailが動いた | トップページ | 3rdRailがWindowsでやっと起動した »

コメント

コメントを書く



(ウェブ上には掲載しません)




トラックバック

この記事のトラックバックURL:
http://app.f.cocolog-nifty.com/t/trackback/125677/8099998

この記事へのトラックバック一覧です: 3rdRail + Ubuntu Model作成時にエラー:

« Ubuntu7.04で3rdRailが動いた | トップページ | 3rdRailがWindowsでやっと起動した »